/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLOptionElement_H__
#define __GdomHTMLOptionElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLOptionElement GdomHTMLOptionElement;
typedef struct _GdomHTMLOptionElementClass GdomHTMLOptionElementClass;


#define GDOM_TYPE_HTML_OPTION_ELEMENT            (gdom_html_option_element_get_type())
#define GDOM_HTML_OPTION_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTML_OPTION_ELEMENT, GdomHTMLOptionElement))
#define GDOM_HTML_OPTION_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTML_OPTION_ELEMENT, GdomHTMLOptionElement)Class)
#define GDOM_IS_HTML_OPTION_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTML_OPTION_ELEMENT))
#define GDOM_IS_HTML_OPTION_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTML_OPTION_ELEMENT))
#define GDOM_HTML_OPTION_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTML_OPTION_ELEMENT, GdomHTMLOptionElementClass))

typedef struct _GdomHTMLOptionElementPrivate GdomHTMLOptionElementPrivate;

struct _GdomHTMLOptionElement {
    GdomHTMLElement parent_instance;
    GdomHTMLOptionElementPrivate *priv;
};

struct _GdomHTMLOptionElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_html_option_element_get_type (void);

G_END_DECLS

#endif /* __GdomHTMLOptionElement_H__ */
